Last Comment Bug 831770 - Project Kickoff Form: Legal section - Change to "Business Objective"
: Project Kickoff Form: Legal section - Change to "Business Objective"
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: MozProjectReview (show other bugs)
: Production
: x86_64 Windows 7
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
Mentors:
Depends on: 833514
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 08:07 PST by Liz Compton [:liz]
Modified: 2013-02-18 07:03 PST (History)
1 user (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Legal Test Form (60.63 KB, text/html)
2013-01-25 11:48 PST, Liz Compton [:liz]
no flags Details
Test form again in PDF (54.89 KB, application/pdf)
2013-01-25 12:04 PST, Liz Compton [:liz]
no flags Details
Tracking bug before reloading (43.62 KB, application/pdf)
2013-01-25 12:05 PST, Liz Compton [:liz]
no flags Details
Tracking bug after reloading (42.19 KB, application/pdf)
2013-01-25 12:05 PST, Liz Compton [:liz]
no flags Details
Security Review bug (44.58 KB, application/pdf)
2013-01-25 12:07 PST, Liz Compton [:liz]
no flags Details

Description Liz Compton [:liz] 2013-01-17 08:07:26 PST
Please change "Business Objective" to "What help do you need from Legal?" and then add as explanatory text "Please explain specifically what help you need from Legal. If none, put "No Legal help needed."" And make the field required.
Comment 1 David Lawrence [:dkl] 2013-01-22 08:47:44 PST
Change pushed to test instance. Please review.

https://bugzilla-stage.mozilla.org/form.moz.project.review

dkl
Comment 2 David Lawrence [:dkl] 2013-01-22 11:56:05 PST
(In reply to David Lawrence [:dkl] from comment #1)
> Change pushed to test instance. Please review.
> 
> https://bugzilla-stage.mozilla.org/form.moz.project.review
> 
> dkl

Sorry. Actually instead the URL is:

https://bugzilla-stage-tip.mozilla.org/form.moz.project.review

dkl
Comment 3 Liz Compton [:liz] 2013-01-22 13:00:37 PST
dkl - when I tried to go to that link, first I got the untrusted warning, and continued past that, but then got this error message:

Bugzilla has suffered an internal error

Can't connect to the database.
Error: Host '10.22.70.211' is not allowed to connect to this MariaDB server
  Is your database installed and up and running?
  Do you have the correct username and password selected in localconfig?
Comment 4 David Lawrence [:dkl] 2013-01-22 13:15:25 PST
(In reply to Liz Compton from comment #3)
> dkl - when I tried to go to that link, first I got the untrusted warning,
> and continued past that, but then got this error message:
> 
> Bugzilla has suffered an internal error
> 
> Can't connect to the database.
> Error: Host '10.22.70.211' is not allowed to connect to this MariaDB server
>   Is your database installed and up and running?
>   Do you have the correct username and password selected in localconfig?

Just realized that myself a little while ago. Filed bug 833514 to see about getting that fixed.

dkl
Comment 5 Liz Compton [:liz] 2013-01-23 12:14:35 PST
I just tested it. The field looks fine and the form generated the various bugs, but there was a problem in the legal bug. I'll check the other bugs next. In the legal bug, at the end of the Legal Questions section the following was included:

Vendor Services from Where: Europe

        <select name="legal_vendor_services_where" id="legal_vendor_services_where">
          <option value="">Select One</option>
          <option value="U.S.">U.S.</option>
          <option value="Europe">Europe</option>
          <option value="Canada">Canada</option>
          <option value="Global">Global</option>
          <option value="Another region of the world">Another region of the world</option>
          <option value="A single country">A single country</option>
        </select>
        <br>
        <input class="bz_default_hidden" type="text"
               name="legal_vendor_single_country" id="legal_vendor_single_country" size="60">
      </span>


"Vendor Services from Where: Europe" also showed up above in the normal place.
Comment 6 Liz Compton [:liz] 2013-01-23 12:34:07 PST
When I went back to try to check out the other bugs, the tracking bug didn't show any dependent bugs, is that an error? I searched for the other bugs and they all looked fine.
Comment 7 David Lawrence [:dkl] 2013-01-23 13:20:20 PST
(In reply to Liz Compton from comment #5)
> I just tested it. The field looks fine and the form generated the various
> bugs, but there was a problem in the legal bug. I'll check the other bugs
> next. In the legal bug, at the end of the Legal Questions section the
> following was included:
> 
> Vendor Services from Where: Europe
> 
>         <select name="legal_vendor_services_where"
> id="legal_vendor_services_where">
>           <option value="">Select One</option>
>           <option value="U.S.">U.S.</option>
>           <option value="Europe">Europe</option>
>           <option value="Canada">Canada</option>
>           <option value="Global">Global</option>
>           <option value="Another region of the world">Another region of the
> world</option>
>           <option value="A single country">A single country</option>
>         </select>
>         <br>
>         <input class="bz_default_hidden" type="text"
>                name="legal_vendor_single_country"
> id="legal_vendor_single_country" size="60">
>       </span>
> 
> 
> "Vendor Services from Where: Europe" also showed up above in the normal
> place.

Oops. Sorry my fault. This has now been fixed and new version is available for testing.

(In reply to Liz Compton from comment #6)
> When I went back to try to check out the other bugs, the tracking bug didn't
> show any dependent bugs, is that an error? I searched for the other bugs and
> they all looked fine.

It seemed to work ok for me with a test bug I recently created. I see 4 dependent bugs.

https://bugzilla-stage-tip.mozilla.org/show_bug.cgi?id=686776

dkl
Comment 8 Liz Compton [:liz] 2013-01-23 14:53:54 PST
Did your test bug open a legal bug? I didn't see one and it should have since you chose Yes to Separate Party.

I entered a new test bug. The dependent bugs showed up when I opened it, but when I reloaded the page, they were gone. Also, the tracking bug doesn't show up as a blocker in the dependent bugs. Is that just because this is a test bug site?

In the dependent legal bug "Vendor Services from Where: Global" is listed twice. Otherwise, the dependent bugs all looked fine.
Comment 9 David Lawrence [:dkl] 2013-01-25 07:44:06 PST
(In reply to Liz Compton from comment #8)
> Did your test bug open a legal bug? I didn't see one and it should have
> since you chose Yes to Separate Party.
> 
> I entered a new test bug. The dependent bugs showed up when I opened it, but
> when I reloaded the page, they were gone. Also, the tracking bug doesn't
> show up as a blocker in the dependent bugs. Is that just because this is a
> test bug site?
> 
> In the dependent legal bug "Vendor Services from Where: Global" is listed
> twice. Otherwise, the dependent bugs all looked fine.

Yeah. I just did another one and saw the same positive results:

https://bugzilla-stage-tip.mozilla.org/show_bug.cgi?id=686813

It created all of the bugs including the Legal one and also still had the dependencies once I reloaded the page.

Can you tell me the exact values you are entering for the initial questions section so I can try to reproduce myself?

Sorry for the trouble
dkl
Comment 10 Liz Compton [:liz] 2013-01-25 10:47:22 PST
Thanks for trying to figure it out. I don't think I entered the exact same values both times, but I'll submit a new test form and take a screenshot, and if the same thing happens, I'll take before and after screenshots and attach them all to this bug.
Comment 11 Liz Compton [:liz] 2013-01-25 11:48:02 PST
Created attachment 706515 [details]
Legal Test Form

I tried to answer so as to open as many bugs and follow up questions as possible. I'll attach a series of screenshots.
Comment 12 Liz Compton [:liz] 2013-01-25 12:04:43 PST
Created attachment 706522 [details]
Test form again in PDF

I thought PDFs might be better
Comment 13 Liz Compton [:liz] 2013-01-25 12:05:16 PST
Created attachment 706523 [details]
Tracking bug before reloading
Comment 14 Liz Compton [:liz] 2013-01-25 12:05:47 PST
Created attachment 706524 [details]
Tracking bug after reloading
Comment 15 Liz Compton [:liz] 2013-01-25 12:07:33 PST
Created attachment 706526 [details]
Security Review bug

This and the other generated bugs look OK except that none of them show the tracking bug as a blocker. I can attach screenshots of the other bugs if needed.
Comment 16 David Lawrence [:dkl] 2013-01-25 12:54:32 PST
Very strange as I just created a new test bug with the exact values you had in your screenshots, and I got the following bug created:

https://bugzilla-stage-tip.mozilla.org/show_bug.cgi?id=686835

On creation it showed the 7 dependent bugs as you show on yours and they were still visible when I reloaded the page. If you go to the page do you see the dependencies as well? If not it may be a permissions issue or something is not right with bugzilla-stage-tip in general that needs to be investigated. I have seen some other oddities as well before this issue and b-s-t was refreshed recently so it may have something to do with it.

dkl
Comment 17 Liz Compton [:liz] 2013-01-25 15:40:41 PST
I do see the list of dependent bugs in your master bug. I can't access the legal one, which is a little strange since I'm part of the legal group.
Comment 18 David Lawrence [:dkl] 2013-02-11 08:40:32 PST
(In reply to Liz Compton from comment #17)
> I do see the list of dependent bugs in your master bug. I can't access the
> legal one, which is a little strange since I'm part of the legal group.

You have been added to the legal group properly now so if you don't mind try one more test and we can close this out if it looks ok.

dkl
Comment 19 Liz Compton [:liz] 2013-02-11 15:34:51 PST
The change on the form is fine, but Business Objective still shows up in the resulting legal bug rather than what help do you need from legal, and the answer submitted didn't show up in the bug. Please change the field in the bug to "Legal Help Needed Description"

I also noticed a new field "Description" under "Vendor Services from Where." Was that intended to be for the description of help needed? There should just be one field for "Legal Help Needed Description" and Business Objective and Description should be removed.

An unrelated thing I noticed: I said no to Mozilla Data and no to Data Access, but a Privacy-Policy Review bug was generated. I don't think that's supposed to happen.
Comment 20 David Lawrence [:dkl] 2013-02-14 13:35:56 PST
(In reply to Liz Compton from comment #19)
> The change on the form is fine, but Business Objective still shows up in the
> resulting legal bug rather than what help do you need from legal, and the
> answer submitted didn't show up in the bug. Please change the field in the
> bug to "Legal Help Needed Description"
> 
> I also noticed a new field "Description" under "Vendor Services from Where."
> Was that intended to be for the description of help needed? There should
> just be one field for "Legal Help Needed Description" and Business Objective
> and Description should be removed.
> 
> An unrelated thing I noticed: I said no to Mozilla Data and no to Data
> Access, but a Privacy-Policy Review bug was generated. I don't think that's
> supposed to happen.

Sorry for the delay. I have pushed a fix for this issue and before I commit, please give it once more a run through.

https://bugzilla-stage-tip.mozilla.org/form.moz.project.review

dkl
Comment 21 Liz Compton [:liz] 2013-02-14 20:04:17 PST
Looks great, I think you're ready to commit. Thanks.
Comment 22 David Lawrence [:dkl] 2013-02-18 07:03:21 PST
Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.0         
modified extensions/MozProjectReview/Extension.pm
modified extensions/MozProjectReview/template/en/default/bug/create/comment-moz-project-review-legal.txt.tmpl                                                            
modified extensions/MozProjectReview/template/en/default/bug/create/create-moz-project-review.html.tmpl
modified extensions/MozProjectReview/web/js/moz_project_review.js                                                                          Committed revision 8490.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2         
modified extensions/MozProjectReview/Extension.pm
modified extensions/MozProjectReview/template/en/default/bug/create/comment-moz-project-review-legal.txt.tmpl                                                            
modified extensions/MozProjectReview/template/en/default/bug/create/create-moz-project-review.html.tmpl
modified extensions/MozProjectReview/web/js/moz_project_review.js                                                                          Committed revision 8567.

Note You need to log in before you can comment on or make changes to this bug.